Skip to main content
GET
/
v1
/
custom_fields
List custom_fields
curl --request GET \
  --url https://api.slant.app/v1/custom_fields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "abc123xyz",
      "field_key": "pageport_lead_source",
      "display_name": "Lead Source",
      "entity_type": "Household",
      "field_type": "text",
      "options": {
        "select_options": [
          "Option 1",
          "Option 2"
        ],
        "cross_reference_allowed_target_types": [
          "Household",
          "Contact"
        ]
      }
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Query Parameters

page
integer

Page number

per_page
integer

Items per page (1-100, default: 25). Values over 100 will be clamped to 100.

Required range: 1 <= x <= 100
book_id
string

Deprecated. Ignored.

entity_type
enum<string>

Filter by entity type

Available options:
Household,
Person,
Contact,
Opportunity

Response

successful

data
object[]
required
pagination
object
required